Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.trax
Class XSLTCSource

    java.lang.Object
      |
      +--org.apache.xalan.xsltc.trax.XSLTCSource

public final class XSLTCSource
extends java.lang.Object
implements Source

Constructor Summary
`XSLTCSource()` Create a new XSLTC-specific DOM source
`XSLTCSource(int size)` Create a new XSLTC-specific DOM source

Method Summary
`void` | `build()` Build the internal XSLTC-specific DOM.
`void` | `build(java.lang.String systemId)` Build the internal XSLTC-specific DOM.
`void` | `build(XMLReader reader)` Build the internal XSLTC-specific DOM.
`void` | `build(XMLReader reader, java.lang.String systemId)` Build the internal XSLTC-specific DOM.
`java.lang.String` | `getSystemId()` Implements javax.xml.transform.Source.getSystemId() Get the system identifier that was set with setSystemId.
`void` | `setSystemId(java.lang.String systemId)` Implements javax.xml.transform.Source.setSystemId() Set the system identifier for this Source.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSLTCSource

    public XSLTCSource(int size)

  Create a new XSLTC-specific DOM source
  Parameters:
    `size` - The estimated node-count for this DOM. A good guess here speeds up the DOM build process.

### XSLTCSource

    public XSLTCSource()

  Create a new XSLTC-specific DOM source

Method Detail

### setSystemId

    public void setSystemId(java.lang.String systemId)

  Implements javax.xml.transform.Source.setSystemId() Set the system identifier for this Source. This Source can get its input either directly from a file (in this case it will instanciate and use a JAXP parser) or it can receive it through ContentHandler/LexicalHandler interfaces.
  Specified by:
    setSystemId in interface Source
  Parameters:
    `systemId` - The system Id for this Source

### getSystemId

    public java.lang.String getSystemId()

  Implements javax.xml.transform.Source.getSystemId() Get the system identifier that was set with setSystemId.
  Specified by:
    getSystemId in interface Source
  Returns:
    The system identifier that was set with setSystemId, or null if setSystemId was not called.

### build

    public void build(XMLReader reader,
                      java.lang.String systemId)
               throws SAXException

  Build the internal XSLTC-specific DOM.
  Parameters:
    `reader` - An XMLReader that will pass the XML contents to the DOM
    `systemId` - Specifies the input file
  Throws:
    SAXException -

### build

    public void build(java.lang.String systemId)
               throws SAXException

  Build the internal XSLTC-specific DOM.
  Parameters:
    `systemId` - Specifies the input file
  Throws:
    SAXException -

### build

    public void build(XMLReader reader)
               throws SAXException

  Build the internal XSLTC-specific DOM.
  Parameters:
    `reader` - An XMLReader that will pass the XML contents to the DOM
  Throws:
    SAXException -

### build

    public void build()
               throws SAXException

  Build the internal XSLTC-specific DOM. The setSystemId() must be called prior to this method.
  Throws:
    SAXException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.